package com.cyl.manager.ums.mapper;


import com.cyl.manager.ums.domain.PetCare;

import java.util.List;

/**
 * 宠物服务档案Mapper接口
 * 
 * @author daixiande
 */
public interface PetCareMapper {
    /**
     * 查询宠物服务档案
     * 
     * @param id 宠物服务档案主键
     * @return 宠物服务档案
     */
    PetCare selectById(Integer id);

    /**
     * 查询宠物服务档案列表
     * 
     * @param petCare 宠物服务档案
     * @return 宠物服务档案集合
     */
    List<PetCare> selectList(PetCare petCare);

    /**
     * 新增宠物服务档案
     * 
     * @param petCare 宠物服务档案
     * @return 结果
     */
    int insert(PetCare petCare);

    /**
     * 修改宠物服务档案
     * 
     * @param petCare 宠物服务档案
     * @return 结果
     */
    int update(PetCare petCare);

    /**
     * 删除宠物服务档案
     * 
     * @param id 宠物服务档案主键
     * @return 结果
     */
    int deleteById(Integer id);

    /**
     * 批量删除宠物服务档案
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Integer[] ids);

    /**
     * 更新或插入宠物服务档案
     *
     * @param petCare 宠物服务档案
     * @return 结果
     */
    int insertOrUpdate(PetCare petCare);

    PetCare selectPetCareByPetId(Integer id);
}
